﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Olap;
using Infragistics.Olap.FlatData;
using Infragistics.Olap.Xmla;

namespace CheckBoxesInTheCells
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

                        
            List<Data> data = new List<Data>();
            Random r = new Random(); 
            for (int i = 0; i < 500; i++)
            {
                for (int j = 0; j < 20; j++)
                {
                    data.Add(new Data
                    {
                        IsChecked = r.Next(2),
                        Name = "item " + i,
                        Type = "type " + j
                    });
                }
            }

            FlatDataSource source = new FlatDataSource()
            {
                ItemsSource = data,
                Rows = XmlaDataSource.GenerateInitialItems("[Name].[Name]"),
                Columns = XmlaDataSource.GenerateInitialItems("[Type].[Type]"),
                Measures = XmlaDataSource.GenerateInitialItems("IsChecked")
            };
            xamPivotGrid1.DataSource = source;
        }
    }

    public class Data
    {
        public int IsChecked { get; set; }
        public string Name { get; set; }
        public string Type { get; set; }
    }
    public class CellValueConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
                return false;

            string val = value.ToString();

            int isChecked;

            int.TryParse(val, out isChecked);

            if (isChecked == 1)
                return true;

            return false;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
